*, ** {
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
}

:root {
  --pixels-5: min(0.26vw, 5px);
  --pixels-6: min(0.31vw, 6px);
  --pixels-7: min(0.36vw, 7px);
  --pixels-8: min(0.42vw, 8px);
  --pixels-9: min(0.47vw, 9px);
  --pixels-10: min(0.52vw, 10px);
  --pixels-11: min(0.57vw, 11px);
  --pixels-12: min(0.63vw, 12px);
  --pixels-13: min(0.68vw, 13px);
  --pixels-14: min(0.73vw, 14px);
  --pixels-15: min(0.78vw, 15px);
  --pixels-16: min(0.83vw, 16px);
  --pixels-17: min(0.89vw, 17px);
  --pixels-18: min(0.94vw, 18px);
  --pixels-19: min(0.99vw, 19px);
  --pixels-20: min(1.04vw, 20px);
  --pixels-21: min(1.09vw, 21px);
  --pixels-22: min(1.15vw, 22px);
  --pixels-24: min(1.25vw, 24px);
  --pixels-23: min(1.20vw, 23px);
  --pixels-25: min(1.30vw, 25px);
  --pixels-26: min(1.35vw, 26px);
  --pixels-27: min(1.41vw, 27px);
  --pixels-28: min(1.46vw, 28px);
  --pixels-29: min(1.51vw, 29px);
  --pixels-30: min(1.56vw, 30px);
  --pixels-31: min(1.61vw, 31px);
  --pixels-32: min(1.67vw, 32px);
  --pixels-33: min(1.72vw, 33px);
  --pixels-34: min(1.77vw, 34px);
  --pixels-35: min(1.82vw, 35px);
  --pixels-36: min(1.88vw, 36px);
  --pixels-37: min(1.93vw, 37px);
  --pixels-38: min(1.98vw, 38px);
  --pixels-39: min(2.03vw, 39px);
  --pixels-40: min(2.08vw, 40px);
  --pixels-41: min(2.14vw, 41px);
  --pixels-42: min(2.19vw, 42px);
  --pixels-43: min(2.24vw, 43px);
  --pixels-44: min(2.29vw, 44px);
  --pixels-45: min(2.34vw, 45px);
  --pixels-46: min(2.40vw, 46px);
  --pixels-47: min(2.45vw, 47px);
  --pixels-48: min(2.50vw, 48px);
  --pixels-49: min(2.55vw, 49px);
  --pixels-50: min(2.60vw, 50px);
  --pixels-51: min(2.66vw, 51px);
  --pixels-52: min(2.71vw, 52px);
  --pixels-53: min(2.76vw, 53px);
  --pixels-54: min(2.81vw, 54px);
  --pixels-55: min(2.86vw, 55px);
  --pixels-56: min(2.92vw, 56px);
  --pixels-57: min(2.97vw, 57px);
  --pixels-58: min(3.02vw, 58px);
  --pixels-59: min(3.07vw, 59px);
  --pixels-60: min(3.13vw, 60px);
  --pixels-61: min(3.18vw, 61px);
  --pixels-62: min(3.23vw, 62px);
  --pixels-63: min(3.28vw, 63px);
  --pixels-64: min(3.33vw, 64px);
  --pixels-65: min(3.39vw, 65px);
  --pixels-66: min(3.44vw, 66px);
  --pixels-67: min(3.49vw, 67px);
  --pixels-68: min(3.54vw, 68px);
  --pixels-69: min(3.59vw, 69px);
  --pixels-70: min(3.65vw, 70px);
  --pixels-71: min(3.70vw, 71px);
  --pixels-72: min(3.75vw, 72px);
  --pixels-73: min(3.80vw, 73px);
  --pixels-74: min(3.85vw, 74px);
  --pixels-75: min(3.91vw, 75px);
  --pixels-76: min(3.96vw, 76px);
  --pixels-77: min(4.01vw, 77px);
  --pixels-78: min(4.06vw, 78px);
  --pixels-79: min(4.11vw, 79px);
  --pixels-80: min(4.17vw, 80px);
  --pixels-81: min(4.22vw, 81px);
  --pixels-82: min(4.27vw, 82px);
  --pixels-83: min(4.32vw, 83px);
  --pixels-84: min(4.38vw, 84px);
  --pixels-85: min(4.43vw, 85px);
  --pixels-86: min(4.48vw, 86px);
  --pixels-87: min(4.53vw, 87px);
  --pixels-88: min(4.58vw, 88px);
  --pixels-89: min(4.64vw, 89px);
  --pixels-90: min(4.69vw, 90px);
  --pixels-91: min(4.74vw, 91px);
  --pixels-92: min(4.79vw, 92px);
  --pixels-93: min(4.84vw, 93px);
  --pixels-94: min(4.90vw, 94px);
  --pixels-95: min(4.95vw, 95px);
  --pixels-96: min(5.00vw, 96px);
  --pixels-97: min(5.05vw, 97px);
  --pixels-98: min(5.10vw, 98px);
  --pixels-99: min(5.16vw, 99px);
  --pixels-100: min(5.21vw, 100px);
  --pixels-105: min(5.47vw, 105px);
  --pixels-120: min(6.25vw, 120px);
  --pixels-135: min(7.03vw, 135px);
  --pixels-150: min(7.81vw, 150px);
}

@media (max-width: 640px) {
  :root {
    --pixels-5: 0.78vw;
    --pixels-6: 0.94vw;
    --pixels-7: 1.09vw;
    --pixels-8: 1.25vw;
    --pixels-9: 1.41vw;
    --pixels-10: 1.56vw;
    --pixels-11: 1.72vw;
    --pixels-12: 1.88vw;
    --pixels-13: 2.03vw;
    --pixels-14: 2.19vw;
    --pixels-15: 2.34vw;
    --pixels-16: 2.50vw;
    --pixels-17: 2.66vw;
    --pixels-18: 2.81vw;
    --pixels-19: 2.97vw;
    --pixels-20: 3.13vw;
    --pixels-21: 3.28vw;
    --pixels-22: 3.44vw;
    --pixels-23: 3.59vw;
    --pixels-24: 3.75vw;
    --pixels-25: 3.91vw;
    --pixels-26: 4.06vw;
    --pixels-27: 4.22vw;
    --pixels-28: 4.38vw;
    --pixels-29: 4.53vw;
    --pixels-30: 4.69vw;
    --pixels-31: 4.84vw;
    --pixels-32: 5.00vw;
    --pixels-33: 5.16vw;
    --pixels-34: 5.31vw;
    --pixels-35: 5.47vw;
    --pixels-36: 5.63vw;
    --pixels-37: 5.78vw;
    --pixels-38: 5.94vw;
    --pixels-39: 6.09vw;
    --pixels-40: 6.25vw;
    --pixels-41: 6.41vw;
    --pixels-42: 6.56vw;
    --pixels-43: 6.72vw;
    --pixels-44: 6.88vw;
    --pixels-45: 6.94vw;
    --pixels-46: 7.19vw;
    --pixels-47: 7.34vw;
    --pixels-48: 7.50vw;
    --pixels-49: 7.66vw;
    --pixels-50: 7.81vw;
    --pixels-51: 7.97vw;
    --pixels-52: 8.13vw;
    --pixels-53: 8.28vw;
    --pixels-54: 8.44vw;
    --pixels-55: 8.59vw;
    --pixels-56: 8.75vw;
    --pixels-57: 8.91vw;
    --pixels-58: 9.06vw;
    --pixels-59: 9.22vw;
    --pixels-60: 9.38vw;
    --pixels-61: 9.53vw;
    --pixels-62: 9.69vw;
    --pixels-63: 9.84vw;
    --pixels-64: 10.00vw;
    --pixels-65: 10.16vw;
    --pixels-66: 10.31vw;
    --pixels-67: 10.47vw;
    --pixels-68: 10.63vw;
    --pixels-69: 10.78vw;
    --pixels-70: 10.94vw;
    --pixels-71: 11.09vw;
    --pixels-72: 11.25vw;
    --pixels-73: 11.41vw;
    --pixels-74: 11.56vw;
    --pixels-75: 11.72vw;
    --pixels-76: 11.88vw;
    --pixels-77: 12.03vw;
    --pixels-78: 12.19vw;
    --pixels-79: 12.34vw;
    --pixels-80: 12.50vw;
    --pixels-81: 12.66vw;
    --pixels-82: 12.81vw;
    --pixels-83: 12.97vw;
    --pixels-84: 13.13vw;
    --pixels-85: 13.28vw;
    --pixels-86: 13.44vw;
    --pixels-87: 13.59vw;
    --pixels-88: 13.75vw;
    --pixels-89: 13.91vw;
    --pixels-90: 14.06vw;
    --pixels-91: 14.22vw;
    --pixels-92: 14.38vw;
    --pixels-93: 14.53vw;
    --pixels-94: 14.69vw;
    --pixels-95: 14.84vw;
    --pixels-96: 15.00vw;
    --pixels-97: 15.16vw;
    --pixels-98: 15.31vw;
    --pixels-99: 15.47vw;
    --pixels-100: 15.63vw;
    --pixels-105: 16.41vw;
    --pixels-120: 18.75vw;
    --pixels-135: 21.09vw;
    --pixels-150: 23.44vw;
  }
}

.deco-be25-5g_v1 {
    width: 100%;
    font-family: "TP-Link Aktiv Light";
    /* max-width: 1280px; */
    max-width: 1920px;
    margin: 0 auto var(--pixels-100);
    display: flex;
    flex-direction: column;
    align-items: center;

    h1, h2, h3, h4, h5, h6 {
        font-weight: 700; /* Put the bold back */
        color: #1a1a1a;
        line-height: 1.2;
    }

    h1 { font-size: 2.5rem; }
    h2 { font-size: 2rem; }
    h3 { font-size: 1.75rem; }

    p {
    font-size: 1rem;
    line-height: 1.6;
    color: #333333;
    }

    h1, h2, h3, h4, h5, h6, strong, b {
        font-weight: bold;
    }

    h1, h2, h3, p, ul, ol {
        margin-top: 0;
        margin-bottom: 1.25rem; /* Forces clean, vertical breathing room */
    }

    > section {
        width: 100%;
        box-sizing: border-box;
        font-family: "TP-Link Aktiv Light";
    }

    .deco-be25-banner {
        position: relative;
    }

    .mobile-only {
        display: none;
    }

    .desktop-only {
        display: block;
    }

    .banner-img {
        width: 100%;
    }

    .banner-content {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 19.45%;
        width: 34%;
        display: flex;
        flex-direction: column;

        @media (max-width: 640px) {
            width: 90.625%;
            right: auto;
            left: 4.69%;
            transform: none;
            top: 14.30%;
        }
    }

    .banner-header {
        font-size: var(--pixels-60);
        font-weight: 400;
        font-family: "TP-Link Aktiv Medium";
        line-height: 1.25;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-50);
            line-height: 1.1;
        }
    }

    .prod-full-name {
        font-size: var(--pixels-30);
        margin: var(--pixels-24) 0;
        line-height: 1;

        @media (max-width: 640px) {
            margin: var(--pixels-22) 0 0 0;
            font-size: var(--pixels-30);
        }
    }

    .prod-short-name {
        border: 1px solid black;
        padding: calc(var(--pixels-7) + 2px) var(--pixels-22) calc(var(--pixels-7) - 2px);
        border-radius: 5px;
        width: fit-content;
        font-size: var(--pixels-30);
        display: flex;
        justify-content: center;
        align-items: center;
        line-height: normal;
        /* margin: var(--pixels-37) 0 var(--pixels-45) 0; */

        @media (max-width: 640px) {
            padding: calc(var(--pixels-10) + 2px) var(--pixels-20) calc(var(--pixels-10) - 2px);
            font-size: var(--pixels-30);
            border-radius: 10px;
            margin: var(--pixels-25) 0 var(--pixels-30) 0;
        }
    }

    .banner-content picture {
        align-self: flex-start;
    }

    .compatible-companies-img {
        width: 81.23%;
        display: block;
        
        @media (max-width: 640px) {
            width: 35%;
        }
    }

    .perks-mosaic {
        width: 60.94%;
        margin: clamp(20px, 7.2px + 2vw, 40px) auto;

        @media (max-width: 640px) {
            width: 90.625%;
            margin: var(--pixels-80) 0 0 0;
        }
    }

    .grid {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(5, 1fr);
        gap: clamp(2px, 0.08px + 0.3vw, 5px);

        @media (max-width: 640px) {
            grid-template-rows: repeat(10, 1fr);
        }
    }

    .dual-band-wifi {
        grid-column: 1 / 4;
        grid-row: 1 / 4;
        position: relative;
        @media (max-width: 640px) {
            grid-column: 1 / 7;
            grid-template-rows: 1 / 5;
        }
    }

    .dual-band-wifi-text {
        position: absolute;
        display: flex;
        flex-direction: column;
        /* right: 50%; */
        color: white;
        top: 3%;
        left: 5%;
        width: 50%;
        @media (max-width: 640px) {
            top: 5%;
        }
    }

    .dual-band-wifi-text-1 {
        font-size: clamp(9px, 3.24px + 0.9vw, 18px);
        font-size: var(--pixels-24);
        font-weight: 300;

        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .dual-band-wifi-text-2 {
        font-size: var(--pixels-37);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;

        @media (max-width: 640px) {
            font-size: var(--pixels-38);
        }
    }

    .cutting-edge-5g {
        grid-column: 4 / 7;
        grid-row: 1 / 3;
        position: relative;
        @media (max-width: 640px) {
            grid-column: 1 / 7;
            grid-row: 6 / 8;
        }
    }

    .cutting-edge-5g-text {
        position: absolute;
        right: 14%;
        top: 2%;
        left: 3%;
        display: flex;
        flex-direction: column;
    }

    .cutting-edge-5g-text-1 {
        font-weight: 500;
        font-family: "TP-Link Aktiv Medium";
        font-size: var(--pixels-37);
        
        @media (max-width: 640px) {
            font-size: var(--pixels-36);
        }
    }

    .cutting-edge-5g-text-2 {
        font-size: var(--pixels-24);
        font-weight: 400;
        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .bottom-left-matrix {
        grid-column: 1 / 4;
        grid-row: 4 / 6;
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: clamp(2px, 0.08px + 0.3vw, 5px);

        @media (max-width: 640px) {
            grid-column: 1 / 7;
            grid-row: 4 / 6;
        }
    }

    .dual-band-wifi,
    .cutting-edge-5g,
    .over-150-devices,
    .whole-home-mesh {
        width: 100%;
        height: 100%;
        overflow: hidden;
        border-radius: clamp(2px, -0.56px + 0.4vw, 6px);
    }

    .bottom-left-matrix picture,
    .cutting-edge-5g picture,
    .dual-band-wifi picture {
        display: block;
        width: 100%;
        height: 100%;
    }

    .dual-band-wifi img,
    .cutting-edge-5g img,
    .bottom-left-matrix img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

    .over-150-devices {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        width: 100%;
        height: 100%;
        overflow: hidden;
    }

    .over-150-devices picture,
    .over-150-devices .over-150-devices-text {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
    }

    .over-150-devices picture {
        width: 100%;
        height: 100%;
        z-index: 1;
    }

    .over-150-devices picture img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

    .over-150-devices .over-150-devices-text {
        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
        /* padding: 20px; */
        box-sizing: border-box;
        margin: 0;
    }

    .over-150-devices-text-1 {
        font-size: var(--pixels-24);
        font-weight: 300;
        text-align: center;
        
        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .over-150-devices-text-2 {
        font-size: var(--pixels-24);
        font-weight: 600;
        text-align: center;

        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .whole-home-mesh {
        position: relative;
    }

    .whole-home-mesh-text {
        position: absolute;
        top: 5%;
        left: 5%;
        display: flex;
        flex-direction: column;
        margin: 0;
        font-size: var(--pixels-24);
        font-weight: 300;

        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .whole-home-mesh-text-2 {
        font-weight: 800;
    }

    .icons-matrix {
        grid-column: 4 / 7;
        grid-row: 3 / 6;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, 1fr);
        gap: clamp(2px, 0.08px + 0.3vw, 5px);

        @media (max-width: 640px) {
            grid-column: 1 / 7;
            grid-row: 8 / 11;
        }
    }

    .mtile {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background-color: #F5F5F5;
        border-radius: clamp(2px, -0.56px + 0.4vw, 6px);
    }

    .tile-inner {
        width: 92%;
        height: 100%;
        display: flex;
        flex-direction: column;

        @media (max-width: 640px) {
            width: 90%;
        }
    }

    .tile-inner img {
        flex: 1;
        width: 33%;
        margin: 0 auto;
        display: flex;
        align-items: center;
        justify-content: flex-end;
        object-fit: contain;
    }

    .icons-tile-text {
        flex: 1;
        margin: 0;
        padding: 0 clamp(2px, -3.12px + 0.8vw, 10px);
        text-align: center;
        font-size: var(--pixels-19);
        display: block;

        @media (max-width: 640px) {
            font-size: var(--pixels-20);
        }
    }

    .icons-tile-text:nth-child(1) {
        @media (max-width: 640px) {
            width: 50%;
        }
    }


    .wifi7 {
        position: relative;
        width: 100%;

        @media (max-width: 640px) {
            position: auto;
            display: flex;
            width: 90.625%;
            flex-direction: column-reverse;
            margin-top: var(--pixels-90);
        }
    }

    .wifi7-img {
        width: 100%;

        @media (max-width: 640px) {
            margin: var(--pixels-46) 0 0 0;
        }
    }

    .wifi7-content {
        position: absolute;
        top: 20.82%;
        left: 19.53%;
        width: 30.55%;

        @media (max-width: 640px) {
            position: relative;
            top: auto;
            left: auto;
            width: 100%;
            margin: 0;
        }
    }

    .wifi7-content-header {
        font-family: "TP-Link Aktiv Medium";
        font-size: var(--pixels-45);
        font-weight: 400;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .wifi7-content-text {
        font-family: "TP-Link Aktiv Light";
        font-size: var(--pixels-19);
        margin: var(--pixels-37) 0 0;
        line-height: 1.4;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .wifi7-links {
        display: flex;
        font-size: var(--pixels-19);
        margin: var(--pixels-30) 0 0;
        line-height: 1;

        @media (max-width: 640px) {
            font-size: 16px;
            justify-content: space-between;
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .wifi7-links a {
        color: #0071ff;
    }

    .wifi7-links a:first-child {
        width: 40%;

        @media (max-width: 640px) {
            width: auto;
        }
    }

    .wifi7-speeds {
        position: relative;

        @media (max-width: 640px) {
            position: auto;
            display: flex;
            flex-direction: column-reverse;
            width: 90.625%;
            margin-top: var(--pixels-100);
        }
    }

    .wifi7-speeds-img {
        width: 100%;

        @media (max-width: 640px) {
            margin: var(--pixels-40) 0 0 calc(var(--pixels-30) * -1);
            width: 110.3448%;
        }
    }

    .wifi7-speeds-content {
        position: absolute;
        top: 50%;
        left: 20.9%;
        transform: translateY(-50%);
        width: 30.47%;

        @media (max-width: 640px) {
            position: relative;
            top: auto;
            left: auto;
            width: 100%;
            transform: none;
        }
    }

    .wifi7-speeds-content-header {
        font-family: "TP-Link Aktiv Medium";
        /* font-weight: bold; */
        font-size: var(--pixels-45);
        font-weight: 400;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .wifi7-speeds-content-text {
        font-family: "TP-Link Aktiv Light";
        font-size: var(--pixels-19);
        margin: var(--pixels-33) 0 0 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .speed-bars {
        margin: var(--pixels-39) 0 0 0;
        display: flex;
        flex-direction: column;
        gap: var(--pixels-30);
    }

    .speed-bar {
        display: flex;
        flex-direction: column;
        align-items: stretch;
        width: 100%;
        line-height: 1.1;
    }

    .speed-bar__label {
        font-size: var(--pixels-22);
        font-weight: 700;
        color: rgba(0, 0, 0, 0.84);

        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .speed-bar__value {
        font-size: var(--pixels-22);
        font-weight: 700;
        color: rgba(0, 0, 0, 0.84);

        @media (max-width: 640px) {
            font-size: var(--pixels-24);
        }
    }

    .speed-bar__track {
        height: var(--pixels-12);
        border-radius: 11px;
        overflow: hidden;
        background-color: #EAEAEA;

        @media (max-width: 640px) {
            height: var(--pixels-14);
        }
    }

    .speed-bar__fill {
        height: 100%;
        border-radius: 11px;
        width: 100%;
    }

    .speed-bar__fill--1 {
        background: linear-gradient(90deg, #156ae0, #0087ff 55%, #47ceff);
    }

    .speed-bar__fill--2 {
        background: gray;
    }

    .speed-bar__fill--3 {
        background: linear-gradient(90deg, #156ae0, #0087ff 55%, #47ceff);
    }

    .speed-bar__fill--4 {
        background: linear-gradient(90deg, #0087ff, #47ceff);
    }

    .speed-bar__fill--5 {
        background: gray;
    }

    .speed-bar .speed-bar__text-row {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        width: 100%;
        margin: 0;
        /* margin-bottom: 6px; */
    }

    .speed-bar:nth-child(1) .speed-bar__track {
        width: 100%;
    }

    .speed-bar:not(:nth-child(1)) {
        display: grid;
        grid-template-rows: auto auto;
        gap: 0 6px;
        align-items: center;
    }

    .sbv1, .sbv2 {
        font-weight: 800;
        font-size: var(--pixels-30);

        @media (max-width: 640px) {
            font-size: var(--pixels-32);
        }
    }

    .sb2 {
        grid-template-columns: 23.87% auto;
    }

    .sb4 {
        grid-template-columns: 30% auto;

        @media (max-width: 640px) {
            grid-template-columns: 35% auto;
        }
    }

    .sb5 {
        grid-template-columns: 12% auto;
    }

    .speed-bar:not(:nth-child(1)) .speed-bar__text-row {
        display: contents; 
    }

    .speed-bar:not(:nth-child(1)) .speed-bar__label {
        grid-row: 1;
        grid-column: 1 / -1; 
    }

    .speed-bar:not(:nth-child(1)) .speed-bar__track {
        grid-row: 2;
        grid-column: 1; 
        width: 100%;
    }

    .speed-bar:not(:nth-child(1)) .speed-bar__value {
        grid-row: 2;
        grid-column: 2; 
        white-space: nowrap;
    }

    .section-5g {
        position: relative;
        width: 100%;

        @media (max-width: 640px) {
            display: flex;
            flex-direction: column-reverse;
            margin: var(--pixels-90) 0 0 0;
            width: 90.625%;
        }
    }

    .section-5g-img {
        width: 100%;

        @media (max-width: 640px) {
            width: 110.3448%;
            margin: var(--pixels-40) 0 0 calc(var(--pixels-30) * -1);
        }
    }

    .section-5g-content {
        position: absolute;
        top: 21.32%;
        left: 55.35%;
        /* transform: translateY(-50%); */
        width: 30.47%;
        
        @media (max-width: 640px) {
            position: relative;
            top: auto;
            left: auto;
            width: 100%;
            transform: none;
        }
    }

    .section-5g-content-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .section-5g-content-text {
        font-size: var(--pixels-19);
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-33) 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .section-5g-content a {
        font-size: var(--pixels-19);
        color: #0071ff;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .anywhere-anytime {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: var(--pixels-96) 0 0 0;
        width: 60.94%;

        @media (max-width: 640px) {
            width: 90.625%;
            align-items: flex-start;
            margin: var(--pixels-100) 0 0;
        }
    }

    .anywhere-anytime-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;
        margin: 0;
        line-height: 1;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .anywhere-anytime-subheader {
        font-size: var(--pixels-24);
        margin: var(--pixels-30) 0 0 0;
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;
        line-height: 1;

        @media (max-width: 640px) {
            font-size: var(--pixels-34);
            margin: var(--pixels-32) 0 0 0;
        }
    }

    .anywhere-anytime-content-text {
        font-size: var(--pixels-19);
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-30) 0 0 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            margin: var(--pixels-32) 0 0 0;
            line-height: 1.4;
        }
    }

    .carousel-container {
        position: relative;
        width: 100%;
        /* max-width: 800px; */
        margin: var(--pixels-72) 0 0 0;
        display: flex;
        flex-direction: column;
        row-gap: var(--pixels-30);
        overflow: hidden; 
        box-sizing: border-box;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .carousel-track {
        display: flex;
        width: 100%;
    }

    .carousel-item {
        flex: 0 0 calc(100% - 40px);
        width: calc(100% - 40px);
        flex: 0 0 100%;
        width: 100%;
        display: block;
        /* margin-left: 20px;
        margin-right: 20px; */
    }

    .carousel-img {
        width: 100%; 
        height: auto;
        display: block;
        aspect-ratio: 16 / 9;
        object-fit: cover; 
        border-radius: 10px;
    }

    .carousel-pagination {
        position: relative; 
        display: flex;
        justify-content: center; 
        gap: 12px;
        padding-bottom: 10px; 
    }

    .dot {
        width: var(--pixels-9);
        height: var(--pixels-9);
        border-radius: 50%;
        background-color: #A5A5A5;
        transition: all 0.3s ease;
        cursor: pointer;
    }

    .dot.active {
        background-color: black;
        transform: scale(1.1);
    }

    @media (max-width: 640px) {
        .carousel-container {
            overflow: visible;
            margin: var(--pixels-56) 0 0 0;
            /* margin-bottom: 40px; */
        }

        .carousel-track {
            flex-direction: column;
            row-gap: var(--pixels-36);
            transform: none !important;
            transition: none !important;
        }

        .carousel-item {
            flex: 0 0 100%;
            width: 100%;
            margin: 0;
        }

        .carousel-img {
            width: 100%;
            border-radius: 3px;
            aspect-ratio: auto;
        }

        #clone-first {
            display: none;
        }

        .carousel-pagination {
            display: none;
        }
    }

    .ultra-fast-perf {
        position: relative;
        margin: var(--pixels-105) 0 0 0;

        @media (max-width: 640px) {
            display: flex;
            flex-direction: column-reverse;
            width: 90.625%;
            margin: var(--pixels-90) 0 0 0;
        }
    }

    .ultra-fast-perf-img {
        width: 100%;

        @media (max-width: 640px) {
            width: 110.3448%;
            margin: 0 0 0 calc(var(--pixels-30) * -1);
        }
    }

    .ultra-fast-perf-content {
        position: absolute;
        top: 50%;
        left: 55.39%;
        width: 27.5%;
        transform: translateY(-50%);
        margin: 0;

        @media (max-width: 640px) {
            position: relative;
            top: auto;
            left: auto;
            width: 100%;
            transform: none;
            margin-bottom: var(--pixels-40);
        }
    }

    .ultra-fast-perf-content-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .ultra-fast-perf-content-text {
        font-size: var(--pixels-19);
        margin: var(--pixels-45) 0 0 0;
        font-family: "TP-Link Aktiv Light";

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .ultra-fast-perf-content-icons {
        width: 63.3%;
        margin-top: var(--pixels-37);

        @media (max-width: 640px) {
            width: 63%;
        }
    }

    .backhaul {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 60.94%;
        margin: var(--pixels-90) 0 0 0;

        @media (max-width: 640px) {
            align-items: flex-start;
            width: 90.625%;
            margin: var(--pixels-100) 0 0 0;
        }
    }

    .backhaul-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        text-align: center;
        margin: 0;
        
        @media (max-width: 640px) {
            text-align: left;
            font-size: var(--pixels-40);
        }
    }

    .backhaul-content-text {
        font-size: var(--pixels-19);
        text-align: center;
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-30) 0 0 0;

        @media (max-width: 640px) {
            width: 100%;
            text-align: left;
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .backhaul-img-container {
        position: relative;
        width: 100%;
        margin-top: var(--pixels-22);
        font-size: var(--content-text-big-font-size);
        @media (max-width: 640px) {
            font-size: var(--section-subheader-font-size);
            margin: var(--pixels-40) 0 0;
        }
    }

    .backhaul-img {
        width: 100%;
    }

    .backhaul-img-5ghz {
        position: absolute;
        top: 27%;
        left: 50%;
        font-weight: 600;
        color: white;
        transform: translateX(-50%);
        font-size: var(--section-subheader-font-size);

        @media (max-width: 640px) {
            top: 18%;
            font-size: 15px;
            width: 100%;
            text-align: center;
        }
    }

    .backhaul-img-24ghz {
        position: absolute;
        top: 45%;
        left: 50%;
        font-weight: 600;
        color: white;
        transform: translateX(-50%);
        font-size: var(--section-subheader-font-size);

        @media (max-width: 640px) {
            top: 49%;
            width: 100%;
            font-size: 15px;
            text-align: center;
        }
    }

    .backhaul-img-ethernet {
        position: absolute;
        top: 67%;
        left: 50%;
        font-weight: 600;
        transform: translateX(-50%);
        font-size: var(--section-subheader-font-size);

        @media (max-width: 640px) {
            top: 83%;
            width: 100%;
            text-align: center;
            font-size: 14px;
        }
    }

    .backhaul-subheader {
        font-size: var(--pixels-30);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;
        margin: 0;
        margin-top: calc(var(--pixels-30) * -1);
        z-index: 999;

        @media (max-width: 640px) {
            width: 100%;
            text-align: center;
            font-size: var(--pixels-26);
            margin-top: 0;
        }
    }

    .deco-app {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: var(--pixels-105) 0 0 0;
        width: 60.94%;

        @media (max-width: 640px) {
            align-items: flex-start;
            width: 90.625%;
            margin: var(--pixels-100) 0 0 0;
        }
    }

    .deco-app-header {
        text-align: center;
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .deco-app-content-text {
        font-size: var(--pixels-19);
        text-align: center;
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-30) 0 0 0;

        @media (max-width: 640px) {
            text-align: left;
            font-size: var(--pixels-28);
            line-height: 1.4;
            /* font-size: var(--content-text-big-font-size); */
        }
    }

    .deco-app-steps {
        display: flex;
        width: 88%;
        /* justify-content: space-between; */
        margin-bottom: var(--pixels-69);
        margin-top: var(--pixels-45);
        column-gap: var(--pixels-30);

        @media (max-width: 640px) {
            flex-direction: column;
            width: auto;
            row-gap: var(--pixels-36);
        }
    }

    .deco-app-step {
        display: grid;
        grid-template-columns: auto 1fr;
        grid-template-rows: auto auto;
        align-items: baseline;
        column-gap: clamp(3px, -1.48px + 0.7vw, 10px);
        width: 33%;

        @media (max-width: 640px) {
            width: 100%;
            column-gap: var(--pixels-14);
            row-gap: var(--pixels-24);
        }
    }

    .deco-app-step:nth-child(1) {
        width: 34.72%;
        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .deco-app-step-number {
        grid-row: 1;
        grid-column: 1;
        font-size: var(--pixels-22);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1;
            margin: 0;
        }
    }

    .deco-app-step-subheader {
        grid-row: 1;
        grid-column: 2;
        font-size: var(--pixels-22);
        margin: 0;
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1;
            margin: 0;
        }
    }

    .deco-app-step-content-text {
        grid-row: 2;
        grid-column: 2;
        font-size: var(--pixels-19);
        margin: 0;
        font-family: "TP-Link Aktiv Light";

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1;
            margin: 0;
        }
    }

    .deco-app-img {
        width: 100%;
    }

    .deco-app picture {
        width: 100%;
    }

    .smart-security {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 60.94%;
        margin-top: var(--pixels-105);
        /* margin-bottom: clamp(16px, 0.64px + 2.4vw, 40px); */

        @media (max-width: 640px) {
            align-items: flex-start;
            width: 90.625%;
            margin: var(--pixels-100) 0 0;
        }
    }

    .homeshield-logo {
        width: 16%;

        @media (max-width: 640px) {
            width: 40%;
            margin-top: 20px;
        }
    }

    .smart-security-header {
        text-align: center;
        /* margin: clamp(10px, 3.6px + 1vw, 20px) 0; */
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: var(--pixels-24) 0 0 0;

        @media (max-width: 640px) {
            width: 60%;
            text-align: left;
            margin: var(--pixels-30) 0 0;
            font-size: var(--pixels-40);
        }
    }

    .smart-security-content-text {
        font-size: var(--pixels-19);
        width: 100%;
        text-align: center;
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-37) 0 0 0;

        @media (max-width: 640px) {
            text-align: left;
            font-size: var(--pixels-28);
            width: 100%;
            margin: var(--pixels-32) 0 0 0;
            line-height: 1.4;
        }
    }

    .smart-security-links {
        display: flex;
        font-size: var(--pixels-19);
        width: 50%;
        justify-content: space-between;
        margin: var(--pixels-33) 0 0 0;

        @media (max-width: 640px) {
            flex-direction: column;
            gap: var(--pixels-10);
            width: 100%;
            margin: var(--pixels-34) 0 0 0;
        }
    }

    .smart-security-links a {
        color: #0071ff;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .smart-security-cards {
        width: 100%;
        display: flex;
        justify-content: center;
        gap: var(--pixels-9);
        margin-top: var(--pixels-57);

        @media (max-width: 640px) {
            flex-direction: column;
            row-gap: var(--pixels-36);
            margin-top: var(--pixels-46);
        }
    }

    .smart-security-card {
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 0;
        flex: 1;
        border-radius: clamp(10px, 3.6px + 1vw, 20px);
        border: none;
        overflow: hidden;
        background-color: #eeeeee;
        align-items: center;

        @media (max-width: 640px) {
            border-radius: 3px;
        }
    }

    .card-imgs-container {
        position: relative;
    }

    .card-img-text {
        font-size: var(--pixels-24);
        font-weight: 700;
        color: white;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
        }
    }

    .card-img-text-1 {
        position: absolute;
        text-align: center;
        top: 50%;
        left: 25%;
        transform: translate(-50%, -50%);
        width: 45%;
    }

    .card-img-text-2 {
        position: absolute;
        /* width: 50%; */
        text-align: center;
        top: 50%;
        left: 75%;
        transform: translate(-50%, -50%);
        width: 45%;
    }

    .smart-security-card picture {
        margin: 0;
        padding: 0;
        display: block;
    }

    .card-img {
        display: block;
        width: 100%;
        margin: 0;
        padding: 0;
    }

    .card-content {
        /* background-color: #EEEEEE; */
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: var(--pixels-39) 0 var(--pixels-33) 0;
        /* padding: clamp(10px, -9.2px + 3vw, 40px); */
        flex: 1;
        width: 83.29%;

        @media (max-width: 640px) {
            width: 84.48%;
        }
    }

    .card-content-subheader {
        font-size: var(--pixels-24);
        text-align: center;
        margin: 0;
        font-family: "TP-Link Aktiv Medium";
        font-weight: 400;

        @media (max-width: 640px) {
            font-size: var(--pixels-34);
            width: 100%;
            margin: 16px 0;
        }
    }

    .card-content-text {
        font-size: var(--pixels-16);
        margin: var(--pixels-19) 0 0 0;
        text-align: center;
        font-family: "TP-Link Aktiv";
        font-weight: 300;

        @media (max-width: 640px) {
            font-size: var(--pixels-26);
            line-height: 1.4;
            width: 100%;
        }
    }

    .private-security {
        width: 60.94%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: var(--pixels-99) 0 0 0;

        @media (max-width: 640px) {
            align-items: flex-start;
            width: 90.625%;
            margin: var(--pixels-100) 0 0 0;
        }
    }

    .private-security-header {
        /* margin: clamp(30px, 10.8px + 3vw, 60px) 0 0 0; */
        text-align: center;
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: 0;

        @media (max-width: 640px) {
            text-align: left;
            font-size: var(--pixels-40);
            /* margin: 16px 0; */
        }
    }

    .private-security-content-text {
        width: 100%;
        text-align: center;
        font-size: var(--pixels-19);
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-37) 0 0 0;

        @media (max-width: 640px) {
            text-align: left;
            font-size: var(--pixels-28);
            line-height: 1.4;
            width: 100%;
        }
    }

    .private-security picture {
        width: 125.25%;
        margin-top: clamp(20px, 7.2px + 2vw, 40px);

        @media (max-width: 640px) {
            width: 110.3448%;
            margin: var(--pixels-60) 0 0 calc(var(--pixels-30) * -1);
        }
    }

    .private-security-img {
        width: 100%;
        text-align: center;
    }

    .easy-management {
        display: flex;
        /* gap: 10px; */
        margin-top: clamp(30px, 10.8px + 3vw, 60px);
        align-items: center;
        width: 60.94%;

        @media (max-width: 640px) {
            flex-direction: column;
            width: 90.625%;
            margin: var(--pixels-100) 0 0 0;
        }
    }

    .easy-management-content {
        width: 50%;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .easy-management-subcontent {
        width: 90%;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .easy-management-content-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
            line-height: 1;
        }
    }

    .easy-management-content-text {
        font-size: var(--pixels-19);
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-37) 0 0 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
            margin: var(--pixels-26) 0 0 0;
        }
    }

    .easy-management picture {
        width: 50%;

        @media (max-width: 640px) {
            width: 100%;
            margin: var(--pixels-46) 0 0;
        }
    }

    .easy-management-img {
        width: 100%;
    }

    .voice-control {
        display: flex;
        /* gap: 10px; */
        flex-direction: row-reverse;
        align-items: center;
        margin-top: clamp(30px, 10.8px + 3vw, 60px);
        width: 60.94%;

        @media (max-width: 640px) {
            flex-direction: column;
            align-items: flex-start;
            width: 90.625%;
            margin: var(--pixels-100) 0 0 0;
        }
    }

    .voice-control-content {
        width: 50%;
        display: flex;
        justify-content: flex-end;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .voice-control-subcontent {
        width: 90%;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .voice-control-content-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: 0;

        @media (max-width: 640px) {
            text-align: left;
            font-size: var(--pixels-40);
        }
    }

    .voice-control-content-text {
        font-size: var(--pixels-19);
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-37) 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
            margin: var(--pixels-26) 0 0;
        }
    }

    .voice-control-content-img {
        width: 60.5%;

        @media (max-width: 640px) {
            width: 55%;
            margin: var(--pixels-25) 0 0;
        }
    }

    .voice-control picture {
        width: 50%;

        @media (max-width: 640px) {
            width: 100%;
            margin: var(--pixels-46) 0 0;
        }
    }

    .voice-control-img {
        width: 100%;
    }

    .work-together {
        display: flex;
        align-items: center;
        margin-top: clamp(30px, 10.8px + 3vw, 60px);
        width: 60.94%;

        @media (max-width: 640px) {
            flex-direction: column;
            align-items: flex-start;
            width: 90.625%;
            margin: var(--pixels-100) 0 0 0;
        }
    }

    .work-together-content {
        width: 50%;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .work-together-subcontent {
        width: 88%;

        @media (max-width: 640px) {
            width: 100%;
        }
    }

    .work-together-content-header {
        font-size: var(--pixels-45);
        font-family: "TP-Link Aktiv Medium";
        font-weight: 500;
        margin: 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-40);
        }
    }

    .work-together-content-text {
        font-size: var(--pixels-19);
        font-family: "TP-Link Aktiv Light";
        margin: var(--pixels-37) 0 0 0;

        @media (max-width: 640px) {
            font-size: var(--pixels-28);
            line-height: 1.4;
            margin: var(--pixels-26) 0 0;
        }
    }

    .work-together picture {
        width: 50%;

        @media (max-width: 640px) {
            margin: var(--pixels-46) 0 0;
            width: 100%;
        }
    }

    .work-together-img {
        width: 100%;
    }

    @media (max-width: 640px) {
        .mobile-only {
            display: block;
        }

        .desktop-only {
            display: none;
        }
    }

    picture {
        margin: 0;
        padding: 0;
        display: block;
        width: 100%;
        height: auto;
    }
}